/**
 * Created by Benny on 29.03.2016.
 */

"use strict";

var app = app || {};
app.core = app.core || {};

/**
 * Main
 *
 * @type {{init: Function, run: Function}}
 */
app.core.App = {

    init : function() {
        app.core.G.init();
        app.core.View.init();
        app.core.Rest.init( 'api/', app.core.G.sessionId );
        app.core.Controller.init();

        AHDF.Router.trigger();
    }

    ,

    run : function() {
        this.init();
    }
};